/** 头部 **/

html,
body {
    font-family: 'Source Sans Pro', 'Helvetica Neue', Arial, sans-serif;
    font-size: 15px;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

#blogTitle h1 {
    width: 100%;
    height: 200px;
    font-size: 70px;
    text-align: center;
    line-height: 240px;
}

#blogTitle h2 {
    width: 100%;
    height: 160px;
    font-size: 32px;
    text-align: center;
    line-height: 66px;
}


/**导航栏**/

#navigator {
    border-top: none;
}

#navList a {
    transform: skew(40deg, -45deg);
}

#profile_block a {
    position: relative;
}

#profile_block a::before {
    content: '';
    position: absolute;
    top: 50%;
    left: -10%;
    width: 120%;
    height: 2px;
    background-color: #ff2d2d;
    transform: translateY(-50%);
}

#navList a:hover {
    background-color: #21759b;
    color: #FFF;
    border-bottom-left-radius: 41px;
    border-top-left-radius: 42px;
    border-bottom-right-radius: 24px;
    border-top-right-radius: 63px;
}


/**文章列表**/

#mainContent {
    float: none;
    margin-left: 0em;
}

#mainContent .forFlow {
    margin-left: 0em;
}


/** 工具栏 **/

#sideBar {
    margin-top: 20px;
    float: none;
    width: 100%;
}

#sideBarMain .newsItem {
    float: left;
    width: 33.33%;
    overflow: hidden;
}

#blog-calendar {
    float: left;
    width: 33.33%;
    position: relative;
}

#blog-calendar::before {
    content: "Refuse";
    position: absolute;
    font-size: 72px;
    color: crimson;
    transform: rotateZ(-45deg) translate(-50%, -50%);
    top: 0;
    left: 50%;
}

#leftcontentcontainer {
    float: left;
    width: 100%;
}
#leftcontentcontainer .sidebar-block {
    float: left;
    width: 33.33%;
}


#scene {
    margin: 0 auto;
    width: calc(65% + 60px);
    min-width: 1010px;
    height: 420px;
    /* background: aqua; */
    position: absolute;
    overflow: hidden;
    left: 50%;
    transform: translateX(-50%);
}

.sunny {
    /*  background-color: #d3ecec;
    background: -webkit-gradient(linear, 0 0, 100% 100%, from(#d3ecec), to(#d4eded)); */
}

#sun {
    height: 80px;
    width: 80px;
    overflow: hidden;
    background-color: #fd6b12;
    position: absolute;
    top: 30px;
    left: 60px;
    border-radius: 40px;
    z-index: 999;
}

#sun .inner1 {
    height: 60px;
    width: 60px;
    overflow: hidden;
    background-color: #ffd200;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-left: -30px;
    margin-top: -30px;
    border-radius: 30px;
    -webkit-animation: flash 2s linear 0.4s infinite;
    animation: flash 2s linear 0.4s infinite;
    -ms-animation: flash 2s linear 0.4s infinite;
    -moz-animation: flash 2s linear 0.4s infinite;
}

#sun .inner2 {
    height: 40px;
    width: 40px;
    overflow: hidden;
    background-color: #fffc00;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-left: -20px;
    margin-top: -20px;
    border-radius: 20px;
    -webkit-animation: flash 2s linear 0.1s infinite;
    animation: flash 2s linear 0.1s infinite;
    -ms-animation: flash 2s linear 0.1s infinite;
    -moz-animation: flash 2s linear 0.1s infinite;
}

#line1,
#line2 {
    height: 120px;
    width: 120px;
    position: absolute;
    top: 10px;
    left: 40px;
    z-index: 990;
}


/*.round {
    width: 90px;
    height: 90px;
    background-color: white;
    border-radius: 50px;
    position: absolute;
    top: 25px;
    left: 75px;
}*/

.red-line,
.yellow-line {
    /*background-color: #FFFFFF;*/
    height: 120px;
    width: 18px;
    border-radius: 5px/9px;
    position: absolute;
    left: 0px;
    top: 0px;
    overflow: hidden;
}

.red-line:nth-of-type(1) {
    -webkit-transform: translateX(51px);
    -moz-transform: translateX(51px);
    -o-transform: translateX(51px);
    -ms-transform: translateX(51px);
    transform: translateX(51px);
}

.red-line:nth-of-type(1):before {
    content: "";
    -webkit-transform: translate(8px, 120px);
    -moz-transform: translate(8px, 120px);
    -o-transform: translate(8px, 120px);
    -ms-transform: translate(8px, 120px);
    transform: translate(8px, 120px);
    background-color: #fd6b12;
    width: 3px;
    height: 12px;
    position: absolute;
    top: 0px;
    left: 0px;
}

.red-line:nth-of-type(1):after {
    content: "";
    -webkit-transform: translate(8px, 20px);
    -moz-transform: translate(8px, 20px);
    -o-transform: translate(8px, 20px);
    -ms-transform: translate(8px, 20px);
    transform: translate(8px, 20px);
    background-color: #fd6b12;
    width: 3px;
    height: 12px;
    position: absolute;
    top: 0px;
    left: 0px;
}

.red-line:nth-of-type(2) {
    -webkit-transform: translateX(51px) rotate(60deg);
    -moz-transform: translateX(51px) rotate(60deg);
    -o-transform: translateX(51px) rotate(60deg);
    -ms-transform: translateX(51px) rotate(60deg);
    transform: translateX(51px) rotate(60deg);
}

.red-line:nth-of-type(2):before {
    content: "";
    -webkit-transform: translate(8px, 120px);
    -moz-transform: translate(8px, 120px);
    -o-transform: translate(8px, 120px);
    -ms-transform: translate(8px, 120px);
    transform: translate(8px, 120px);
    background-color: #fd6b12;
    width: 3px;
    height: 12px;
    position: absolute;
    top: 0px;
    left: 0px;
}

.red-line:nth-of-type(2):after {
    content: "";
    -webkit-transform: translate(8px, 20px);
    -moz-transform: translate(8px, 20px);
    -o-transform: translate(8px, 20px);
    -ms-transform: translate(8px, 20px);
    transform: translate(8px, 20px);
    background-color: #fd6b12;
    width: 3px;
    height: 12px;
    position: absolute;
    top: 0px;
    left: 0px;
}

.red-line:nth-of-type(3) {
    -webkit-transform: translateX(51px) rotate(-60deg);
    -moz-transform: translateX(51px) rotate(-60deg);
    -o-transform: translateX(51px) rotate(-60deg);
    -ms-transform: translateX(51px) rotate(-60deg);
    transform: translateX(51px) rotate(-60deg);
}

.red-line:nth-of-type(3):before {
    content: "";
    -webkit-transform: translate(8px, 120px);
    -moz-transform: translate(8px, 120px);
    -o-transform: translate(8px, 120px);
    -ms-transform: translate(8px, 120px);
    transform: translate(8px, 120px);
    background-color: #fd6b12;
    width: 3px;
    height: 12px;
    position: absolute;
    top: 0px;
    left: 0px;
}

.red-line:nth-of-type(3):after {
    content: "";
    -webkit-transform: translate(8px, 20px);
    -moz-transform: translate(8px, 20px);
    -o-transform: translate(8px, 20px);
    -ms-transform: translate(8px, 20px);
    transform: translate(8px, 20px);
    background-color: #fd6b12;
    width: 3px;
    height: 12px;
    position: absolute;
    top: 0px;
    left: 0px;
}

.yellow-line:nth-of-type(1) {
    -webkit-transform: translateX(51px) rotate(90deg);
    -moz-transform: translateX(51px) rotate(90deg);
    -o-transform: translateX(51px) rotate(90deg);
    -ms-transform: translateX(51px) rotate(90deg);
    transform: translateX(51px) rotate(90deg);
}

.yellow-line:nth-of-type(1):before {
    content: "";
    -webkit-transform: translate(8px, 100px);
    -moz-transform: translate(8px, 100px);
    -o-transform: translate(8px, 100px);
    -ms-transform: translate(8px, 100px);
    transform: translate(8px, 100px);
    background-color: #ffd200;
    width: 3px;
    height: 10px;
    position: absolute;
    top: 0px;
    left: 0px;
}

.yellow-line:nth-of-type(1):after {
    content: "";
    -webkit-transform: translate(8px, 10px);
    -moz-transform: translate(8px, 10px);
    -o-transform: translate(8px, 10px);
    -ms-transform: translate(8px, 10px);
    transform: translate(8px, 10px);
    background-color: #ffd200;
    width: 3px;
    height: 10px;
    position: absolute;
    top: 0px;
    left: 0px;
}

.yellow-line:nth-of-type(2) {
    -webkit-transform: translateX(51px) rotate(150deg);
    -moz-transform: translateX(51px) rotate(150deg);
    -o-transform: translateX(51px) rotate(150deg);
    -ms-transform: translateX(51px) rotate(150deg);
    transform: translateX(51px) rotate(150deg);
}

.yellow-line:nth-of-type(2):before {
    content: "";
    -webkit-transform: translate(8px, 100px);
    -moz-transform: translate(8px, 100px);
    -o-transform: translate(8px, 100px);
    -ms-transform: translate(8px, 100px);
    transform: translate(8px, 100px);
    background-color: #ffd200;
    width: 3px;
    height: 10px;
    position: absolute;
    top: 0px;
    left: 0px;
}

.yellow-line:nth-of-type(2):after {
    content: "";
    -webkit-transform: translate(8px, 10px);
    -moz-transform: translate(8px, 10px);
    -o-transform: translate(8px, 10px);
    -ms-transform: translate(8px, 10px);
    transform: translate(8px, 10px);
    background-color: #ffd200;
    width: 3px;
    height: 10px;
    position: absolute;
    top: 0px;
    left: 0px;
}

.yellow-line:nth-of-type(3) {
    -webkit-transform: translateX(51px) rotate(30deg);
    -moz-transform: translateX(51px) rotate(30deg);
    -o-transform: translateX(51px) rotate(30deg);
    -ms-transform: translateX(51px) rotate(30deg);
    transform: translateX(51px) rotate(30deg);
}

.yellow-line:nth-of-type(3):before {
    content: "";
    -webkit-transform: translate(8px, 100px);
    -moz-transform: translate(8px, 100px);
    -o-transform: translate(8px, 100px);
    -ms-transform: translate(8px, 100px);
    transform: translate(8px, 100px);
    background-color: #ffd200;
    width: 3px;
    height: 10px;
    position: absolute;
    top: 0px;
    left: 0px;
}

.yellow-line:nth-of-type(3):after {
    content: "";
    -webkit-transform: translate(8px, 10px);
    -moz-transform: translate(8px, 10px);
    -o-transform: translate(8px, 10px);
    -ms-transform: translate(8px, 10px);
    transform: translate(8px, 10px);
    background-color: #ffd200;
    width: 3px;
    height: 10px;
    position: absolute;
    top: 0px;
    left: 0px;
}

.red-line:before {
    -webkit-animation: runBefore 2s linear 0.5s infinite;
    animation: runBefore 2s linear 0.5s infinite;
    -ms-animation: runBefore 2s linear 0.5s infinite;
    -moz-animation: runBefore 2s linear 0.5s infinite;
}

.red-line:after {
    -webkit-animation: runAfter 2s linear 0.5s infinite;
    animation: runAfter 2s linear 0.5s infinite;
    -ms-animation: runAfter 2s linear 0.5s infinite;
    -moz-animation: runAfter 2s linear 0.5s infinite;
}

.yellow-line:before {
    -webkit-animation: runBefore 2s linear 0.1s infinite;
    animation: runBefore 2s linear 0.1s infinite;
    -ms-animation: runBefore 2s linear 0.1s infinite;
    -moz-animation: runBefore 2s linear 0.1s infinite;
}

.yellow-line:after {
    -webkit-animation: runAfter 2s linear 0.1s infinite;
    animation: runAfter 2s linear 0.1s infinite;
    -ms-animation: runAfter 2s linear 0.1s infinite;
    -moz-animation: runAfter 2s linear 0.1s infinite;
}

.balloon {
    width: 60px;
    height: 120px;
    z-index: 9999;
}

.ball-top {
    width: 60px;
    height: 30px;
    border-radius: 40px 40px 0px 0px;
}

.ball-bg1 {
    background-color: #27aae1;
}

.ball-bg2 {
    background-color: #fc3f0a;
}

.ball-bg3 {
    background-color: #8eb936;
}

.ball-btm {
    width: 20px;
    height: 0px;
    border-left: 20px transparent solid;
    border-right: 20px solid transparent;
    position: relative;
}

.ball-btm-color1 {
    border-top: 50px solid #27aae1;
}

.ball-btm-color2 {
    border-top: 50px solid #fc3f0a;
}

.ball-btm-color3 {
    border-top: 50px solid #8eb936;
}

.ball-center {
    height: 80px;
    width: 20px;
    background-color: #FFFFFF;
    position: absolute;
    top: 0px;
    left: 50%;
    margin-left: -10px;
    border-radius: 20px 20px 0px 0px;
}

.ball-place {
    height: 15px;
    width: 20px;
    position: absolute;
    top: 86px;
    left: 50%;
    margin-left: -10px;
    border-radius: 14px/4px;
}

#scene>div:nth-of-type(3) {
    position: absolute;
    top: 200px;
    left: -80px;
    -webkit-animation: flyToLeft 12s linear 1s infinite;
    animation: flyToLeft 12s linear 1s infinite;
    -ms-animation: flyToLeft 12s linear 1s infinite;
    -moz-animation: flyToLeft 12s linear 1s infinite;
}

#scene>div:nth-of-type(4) {
    position: absolute;
    top: 300px;
    left: -80px;
    -webkit-animation: flyToLeft1 20s linear 1s infinite;
    animation: flyToLeft1 20s linear 1s infinite;
    -ms-animation: flyToLeft1 20s linear 1s infinite;
    -moz-animation: flyToLeft1 20s linear 1s infinite;
}

#scene>div:nth-of-type(5) {
    position: absolute;
    top: 400px;
    right: -80px;
    -webkit-animation: flyToRight 15s linear 1s infinite;
    animation: flyToRight 15s linear 1s infinite;
    -ms-animation: flyToRight 15s linear 1s infinite;
    -moz-animation: flyToRight 15s linear 1s infinite;
}

#ferris-wheel {
    height: 240px;
    width: 240px;
    border: 3px solid #abb2af;
    border-radius: 124px;
    position: absolute;
    right: 20px;
    bottom: 49px;
    -webkit-animation: wheel 15s linear 0.1s infinite;
    animation: wheel 15s linear 0.1s infinite;
    -ms-animation: wheel 15s linear 0.1s infinite;
    -moz-animation: wheel 15s linear 0.1s infinite;
}

.wheel-center {
    width: 20px;
    height: 20px;
    border-radius: 10px;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-top: -10px;
    margin-left: -10px;
    background-color: #abb2af;
}

.wheel {
    height: 240px;
    width: 2px;
    background-color: #abb2af;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-left: -1px;
    margin-top: -120px;
}

.wheel:nth-of-type(1) {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    transform: rotate(0deg);
}

.wheel:nth-of-type(2) {
    -webkit-transform: rotate(30deg);
    -moz-transform: rotate(30deg);
    -o-transform: rotate(30deg);
    -ms-transform: rotate(30deg);
    transform: rotate(30deg);
}

.wheel:nth-of-type(3) {
    -webkit-transform: rotate(60deg);
    -moz-transform: rotate(60deg);
    -o-transform: rotate(60deg);
    -ms-transform: rotate(60deg);
    transform: rotate(60deg);
}

.wheel:nth-of-type(4) {
    -webkit-transform: rotate(90deg);
    -moz-transform: rotate(90deg);
    -o-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    transform: rotate(90deg);
}

.wheel:nth-of-type(5) {
    -webkit-transform: rotate(120deg);
    -moz-transform: rotate(120deg);
    -o-transform: rotate(120deg);
    -ms-transform: rotate(120deg);
    transform: rotate(120deg);
}

.wheel:nth-of-type(6) {
    -webkit-transform: rotate(150deg);
    -moz-transform: rotate(150deg);
    -o-transform: rotate(150deg);
    -ms-transform: rotate(150deg);
    transform: rotate(150deg);
}

.wheel:before {
    content: "";
    position: absolute;
    top: -11px;
    left: -9px;
    width: 20px;
    height: 20px;
    background-color: #6b6e6d;
    border-radius: 4px;
}

.wheel:after {
    content: "";
    position: absolute;
    bottom: -11px;
    right: -9px;
    width: 20px;
    height: 20px;
    background-color: #6b6e6d;
    border-radius: 4px;
}

.land1 {
    position: absolute;
    bottom: 0px;
    width: 300px;
    height: 112px;
    left: 9px;
    background-color: #8eb936;
    border-radius: 119px 132px 0px 0px;
}

.land2 {
    position: absolute;
    bottom: 0px;
    width: 340px;
    height: 150px;
    left: -8px;
    border-radius: 293px 286px 0px 0px;
    background-color: #c4d82e;
}

.land3 {
    position: absolute;
    bottom: 0px;
    width: 0px;
    height: 0px;
    right: -67px;
    border-left: 120px transparent solid;
    border-right: 100px solid transparent;
    border-bottom: 100px solid #e0f569;
}

.land4 {
    position: absolute;
    bottom: 0px;
    width: 14px;
    height: 0px;
    right: 19px;
    border-left: 110px transparent solid;
    border-right: 90px solid transparent;
    border-bottom: 201px solid #8eb936;
}

.land5 {
    position: absolute;
    bottom: 0px;
    width: 0px;
    height: 0px;
    right: 103px;
    border-left: 111px transparent solid;
    border-right: 74px solid transparent;
    border-bottom: 140px solid #c4d82e;
}

.snow {
    background-color: #FFFFFF;
    width: 120px;
    height: 30px;
}


/*----- 动画函数 -----*/

@keyframes wheel {
    from {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    to {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes runBefore {
    from {
        -webkit-transform: translate(8px, 80px);
        -moz-transform: translate(8px, 80px);
        -o-transform: translate(8px, 80px);
        -ms-transform: translate(8px, 80px);
        transform: translate(8px, 80px);
    }
    to {
        -webkit-transform: translate(8px, 120px);
        -moz-transform: translate(8px, 120px);
        -o-transform: translate(8px, 120px);
        -ms-transform: translate(8px, 120px);
        transform: translate(8px, 120px);
    }
}

@keyframes runAfter {
    from {
        -webkit-transform: translate(8px, 20px);
        -moz-transform: translate(8px, 20px);
        -o-transform: translate(8px, 20px);
        -ms-transform: translate(8px, 20px);
        transform: translate(8px, 20px);
    }
    to {
        -webkit-transform: translate(8px, -10px);
        -moz-transform: translate(8px, -10px);
        -o-transform: translate(8px, -10px);
        -ms-transform: translate(8px, -10px);
        transform: translate(8px, -10px);
    }
}

@keyframes flash {
    0% {
        -webkit-transform: scale(1.0, 1.0);
        -moz-transform: scale(1.0, 1.0);
        -o-transform: scale(1.0, 1.0);
        -ms-transform: scale(1.0, 1.0);
        transform: scale(1.0, 1.0);
    }
    50% {
        -webkit-transform: scale(1.15, 1.15);
        -moz-transform: scale(1.15, 1.15);
        -o-transform: scale(1.15, 1.15);
        -ms-transform: scale(1.15, 1.15);
        transform: scale(1.15, 1.15);
    }
    100% {
        -webkit-transform: scale(1.0, 1.0);
        -moz-transform: scale(1.0, 1.0);
        -o-transform: scale(1.0, 1.0);
        -ms-transform: scale(1.0, 1.0);
        transform: scale(1.0, 1.0);
    }
}

@keyframes flyToLeft {
    0% {
        -webkit-transform: scale(0.1, 0.1);
        -moz-transform: scale(0.1, 0.1);
        -o-transform: scale(0.1, 0.1);
        -ms-transform: scale(0.1, 0.1);
        transform: scale(0.1, 0.1);
    }
    50% {
        top: 60px;
    }
    100% {
        -webkit-transform: scale(1.0, 1.0);
        -moz-transform: scale(1.0, 1.0);
        -o-transform: scale(1.0, 1.0);
        -ms-transform: scale(1.0, 1.0);
        transform: scale(1.0, 1.0);
        top: 80px;
        left: 100%;
    }
}

@keyframes flyToLeft1 {
    0% {
        -webkit-transform: scale(0.5, 0.5);
        -moz-transform: scale(0.5, 0.5);
        -o-transform: scale(0.5, 0.5);
        -ms-transform: scale(0.5, 0.5);
        transform: scale(0.5, 0.5);
    }
    10% {
        top: 320px;
    }
    20% {
        top: 300px;
    }
    30% {
        top: 320px;
    }
    40% {
        top: 300px;
    }
    50% {
        top: 320px;
    }
    60% {
        top: 300px;
    }
    70% {
        top: 320px;
    }
    80% {
        top: 300px;
    }
    90% {
        top: 320px;
    }
    100% {
        -webkit-transform: scale(0.5, 0.5);
        -moz-transform: scale(0.5, 0.5);
        -o-transform: scale(0.5, 0.5);
        -ms-transform: scale(0.5, 0.5);
        transform: scale(0.5, 0.5);
        top: 300px;
        left: 100%;
    }
}

@keyframes flyToRight {
    0% {
        -webkit-transform: scale(0.5, 0.5);
        -moz-transform: scale(0.5, 0.5);
        -o-transform: scale(0.5, 0.5);
        -ms-transform: scale(0.5, 0.5);
        transform: scale(0.5, 0.5);
    }
    10% {
        top: 440px;
    }
    20% {
        top: 400px;
    }
    30% {
        top: 440px;
    }
    40% {
        top: 400px;
    }
    50% {
        top: 440px;
    }
    60% {
        top: 400px;
    }
    70% {
        top: 440px;
    }
    80% {
        top: 400px;
    }
    90% {
        top: 440px;
    }
    100% {
        -webkit-transform: scale(0.7, 0.7);
        -moz-transform: scale(0.7, 0.7);
        -o-transform: scale(0.7, 0.7);
        -ms-transform: scale(0.7, 0.7);
        transform: scale(0.7, 0.7);
        top: 400px;
        right: 100%;
    }
}